summaryrefslogtreecommitdiffstats
path: root/desktop/xxkb
diff options
context:
space:
mode:
author Cyril A. Sluchanko <cyrilas@hotmail.com>2010-05-12 23:28:32 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:32 +0200
commit73e36e2c47a7e2cd0c869c06e77d87d7f33cff99 (patch)
tree095ff20e54a5a32a4a8ba5e768cacc772999cfe7 /desktop/xxkb
parenta142ded97a9948c02974c8197c6829498fda8686 (diff)
downloadslackbuilds-73e36e2c47a7e2cd0c869c06e77d87d7f33cff99.tar.gz
slackbuilds-73e36e2c47a7e2cd0c869c06e77d87d7f33cff99.tar.xz
desktop/xxkb: Added to 12.2 repository
Diffstat (limited to 'desktop/xxkb')
-rw-r--r--desktop/xxkb/Imakefile.patch12
-rw-r--r--desktop/xxkb/README5
-rw-r--r--desktop/xxkb/slack-desc19
-rw-r--r--desktop/xxkb/xxkb.SlackBuild53
-rw-r--r--desktop/xxkb/xxkb.info8
5 files changed, 97 insertions, 0 deletions
diff --git a/desktop/xxkb/Imakefile.patch b/desktop/xxkb/Imakefile.patch
new file mode 100644
index 0000000000..6aab32e627
--- /dev/null
+++ b/desktop/xxkb/Imakefile.patch
@@ -0,0 +1,12 @@
+diff -Nur xxkb.orig/Imakefile xxkb/Imakefile
+--- xxkb.orig/Imakefile 2007-03-14 16:54:53.000000000 -0500
++++ xxkb/Imakefile 2009-05-17 15:43:25.028469025 -0500
+@@ -3,7 +3,7 @@
+ BASEDIR = $(PROJECTROOT)
+ BINDIR = $(BASEDIR)/bin
+ PIXMAPDIR = $(BASEDIR)/share/xxkb
+-LOCAL_LIBRARIES = $(XONLYLIB) -lXpm -lXt
++LOCAL_LIBRARIES = $(XONLYLIB) -lXpm -lXt -lXext
+
+ OBJS = xxkb.o resource.o wlist.o
+ PIXMAPS = pixmaps/by15.xpm pixmaps/by48.xpm \
diff --git a/desktop/xxkb/README b/desktop/xxkb/README
new file mode 100644
index 0000000000..0a2a208e93
--- /dev/null
+++ b/desktop/xxkb/README
@@ -0,0 +1,5 @@
+The xxkb program is a keyboard layout switcher and indicator. Unlike the
+programs that reload keyboard maps and use their own hot-keys, xxkb is a
+simple GUI for XKB (X KeyBoard extension) and just sends commands to and
+accepts events from XKB. That means that it will work with the existing
+setup of your X Server without any modifications.
diff --git a/desktop/xxkb/slack-desc b/desktop/xxkb/slack-desc
new file mode 100644
index 0000000000..074f65819f
--- /dev/null
+++ b/desktop/xxkb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+xxkb: xxkb (keyboard layout switcher and indicator)
+xxkb:
+xxkb: The xxkb program is a keyboard layout switcher and indicator. Unlike
+xxkb: the programs that reload keyboard maps and use their own hot-keys,
+xxkb: xxkb is a simple GUI for XKB (X KeyBoard extension) and just sends
+xxkb: commands to and accepts events from XKB. That means that it will work
+xxkb: with the existing setup of your X Server without any modifications.
+xxkb:
+xxkb: Homepage: http://sourceforge.net/projects/xxkb
+xxkb:
+xxkb:
diff --git a/desktop/xxkb/xxkb.SlackBuild b/desktop/xxkb/xxkb.SlackBuild
new file mode 100644
index 0000000000..e689b0d7ec
--- /dev/null
+++ b/desktop/xxkb/xxkb.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for xxkb
+# written by Cyril A. Sluchanko
+# revision date 2009/04/26
+
+PRGNAM=xxkb
+VERSION=1.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# We need to patch Imakefile to have xxkb compiled successfully
+patch -p1 < $CWD/Imakefile.patch
+
+xmkmf
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README README.koi8 README-Linux.koi8 CHANGES.koi8 \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/xxkb/xxkb.info b/desktop/xxkb/xxkb.info
new file mode 100644
index 0000000000..cdec76848c
--- /dev/null
+++ b/desktop/xxkb/xxkb.info
@@ -0,0 +1,8 @@
+PRGNAM="xxkb"
+VERSION="1.11"
+HOMEPAGE="http://sourceforge.net/projects/xxkb"
+DOWNLOAD="http://downloads.sourceforge.net/xxkb/xxkb-1.11-src.tar.gz"
+MD5SUM="c2e5c7f3285033f0e26b358ef95a7c89"
+MAINTAINER="Cyril A. Sluchanko"
+EMAIL="cyrilas@hotmail.com"
+APPROVED="rworkman"